
/*
 * Copyright (C) 2010-2014 Oracle Corporation
 *
 * This file is part of the VirtualBox SDK, as available from
 * http://www.virtualbox.org.  This library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, in version 2.1
 * as it comes in the "COPYING.LIB" file of the VirtualBox SDK distribution.
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * IGuestProcessStateChangedEvent.java
 *
 * DO NOT EDIT! This is a generated file.
 * Generated from: src/VBox/Main/idl/VirtualBox.xidl (VirtualBox's interface definitions in XML)
 * Generator: src/VBox/Main/glue/glue-java.xsl
 */

package org.virtualbox_4_3;

import org.virtualbox_4_3.jaxws.*;
import javax.xml.ws.*;
import java.util.List;


/**
Notification when a guest process changed its state.

Interface ID: <tt>{C365FB7B-4430-499F-92C8-8BED814A567A}</tt>
*/
public class IGuestProcessStateChangedEvent extends IGuestProcessEvent
{

    public IGuestProcessStateChangedEvent(String wrapped, VboxPortType port)
    {
        super(wrapped, port);
    }

/**
New guest process status.

@return org.virtualbox_4_3.ProcessStatus
*/
    public org.virtualbox_4_3.ProcessStatus getStatus()
    {
        try
        {
            org.virtualbox_4_3.jaxws.ProcessStatus retVal = port.iGuestProcessStateChangedEventGetStatus(obj);
            return org.virtualbox_4_3.ProcessStatus.fromValue(retVal.value());
        }
        catch (InvalidObjectFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.port);
        }
        catch (RuntimeFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.port);
        }
    }

/**
Error information in case of new session status is indicating an error.

The attribute {@link org.virtualbox_4_3.IVirtualBoxErrorInfo#getResultDetail()}will contain
the runtime (IPRT) error code from the guest. See include/iprt/err.h and
include/VBox/err.h for details.

@return org.virtualbox_4_3.IVirtualBoxErrorInfo
*/
    public org.virtualbox_4_3.IVirtualBoxErrorInfo getError()
    {
        try
        {
            String retVal = port.iGuestProcessStateChangedEventGetError(obj);
            return (retVal.length() > 0) ? new org.virtualbox_4_3.IVirtualBoxErrorInfo(retVal, port) : null;
        }
        catch (InvalidObjectFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.port);
        }
        catch (RuntimeFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.port);
        }
    }
    public static IGuestProcessStateChangedEvent queryInterface(IUnknown obj)
    {
        return obj == null ?  null : new IGuestProcessStateChangedEvent(obj.getWrapped(), obj.getRemoteWSPort());
    }
}
