
/*
 * Copyright (C) 2010-2014 Oracle Corporation
 *
 * This file is part of the VirtualBox SDK, as available from
 * http://www.virtualbox.org.  This library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, in version 2.1
 * as it comes in the "COPYING.LIB" file of the VirtualBox SDK distribution.
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * IGuestSessionEvent.java
 *
 * DO NOT EDIT! This is a generated file.
 * Generated from: src/VBox/Main/idl/VirtualBox.xidl (VirtualBox's interface definitions in XML)
 * Generator: src/VBox/Main/glue/glue-java.xsl
 */

package org.virtualbox_4_3;

import org.virtualbox_4_3.jaxws.*;
import javax.xml.ws.*;
import java.util.List;


/**
Base abstract interface for all guest session events.
Interface ID: <tt>{B9ACD33F-647D-45AC-8FE9-F49B3183BA37}</tt>
*/
public class IGuestSessionEvent extends IEvent
{

    public IGuestSessionEvent(String wrapped, VboxPortType port)
    {
        super(wrapped, port);
    }

/**
Guest session that is subject to change.
@return org.virtualbox_4_3.IGuestSession
*/
    public org.virtualbox_4_3.IGuestSession getSession()
    {
        try
        {
            String retVal = port.iGuestSessionEventGetSession(obj);
            return (retVal.length() > 0) ? new org.virtualbox_4_3.IGuestSession(retVal, port) : null;
        }
        catch (InvalidObjectFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.port);
        }
        catch (RuntimeFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.port);
        }
    }
    public static IGuestSessionEvent queryInterface(IUnknown obj)
    {
        return obj == null ?  null : new IGuestSessionEvent(obj.getWrapped(), obj.getRemoteWSPort());
    }
}
